## bart-view 0.1.00

=== Makefile ===


CUDA?=0
CUDA_BASE ?= /usr/local/cuda

BUILDTYPE = Linux
UNAME = $(shell uname -s)

ifeq ($(UNAME),Darwin)
    BUILDTYPE = MacOSX
endif


ifeq ($(TOOLBOX_PATH),)
TOOLBOX_INC=/usr/include/bart/
TOOLBOX_LIB=/usr/lib/bart/
else
TOOLBOX_INC=$(TOOLBOX_PATH)/src/
TOOLBOX_LIB=$(TOOLBOX_PATH)/lib/
endif


CC ?= gcc
CFLAGS ?= -Wall -O2
CFLAGS += -std=c11 -fopenmp


ifeq ($(CUDA),1)
    CUDA_L := -L$(CUDA_BASE)/lib64 -lcufft -lcudart -lcublas
else
    CUDA_L :=
endif


ifeq ($(BUILDTYPE), MacOSX)
    EXPDYN = -Wl,-export_dynamic
else
    EXPDYN = -export-dynamic
endif

-include Makefile.local


all: view cfl2png

src/viewer.inc: src/viewer.ui
	@echo "STRINGIFY(`cat src/viewer.ui`)" > src/viewer.inc

view:	src/main.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(EXPDYN) -o view -I$(TOOLBOX_INC) `pkg-config --cflags gtk+-3.0` src/main.c src/view.c src/draw.c `pkg-config --libs gtk+-3.0` $(TOOLBOX_LIB)/libmisc.a $(TOOLBOX_LIB)/libnum.a -lm -lpng

cfl2png:	src/cfl2png.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(EXPDYN) -o cfl2png -I$(TOOLBOX_INC) src/cfl2png.c src/draw.c $(TOOLBOX_LIB)/libmisc.a $(TOOLBOX_LIB)/libnum.a -lm -lpng

install:
	install view $(DESTDIR)/usr/lib/bart/commands/


clean:
	rm -f view cfl2png viewer.inc

=== debian/changelog ===
bart-view (0.1.00-6) unstable; urgency=medium

  [ Martin Uecker ]
  * Patch to work around compiler bug (Closes: #1001916)

  [ Nilesh Patra ]
  * d/p/0005-hardening.patch: Propagate hardening flags to fix blhc

 -- Martin Uecker <martin.uecker@med.uni-goettingen.de>  Wed, 29 Dec 2021 20:20:21 +0530

bart-view (0.1.00-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 14:11:17 +0200

bart-view (0.1.00-4) unstable; urgency=medium

  * Team Upload.
  * Enable cross building by not hardcoding pkg-config
    - Thank you, Helmut Grohne! (Closes: #982362)
  * Improve d/u/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 12:23:29 +0530

bart-view (0.1.00-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 22:50:31 +0100

bart-view (0.1.00-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 16:15:48 +0100

bart-view (0.1.00-1) unstable; urgency=medium

  * Initial release. (Closes: #851431)

 -- Martin Uecker <martin.uecker@med.uni-goettingen.de>  Sat, 17 Feb 2018 17:09:09 +0100

=== debian/control ===
Source: bart-view
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Martin Uecker <martin.uecker@med.uni-goettingen.de>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libbart-dev,
               libgtk-3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/bart-view
Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
Homepage: https://github.com/mrirecon/view/
Rules-Requires-Root: no

Package: bart-view
Architecture: any
Depends: bart,
         ${shlibs:Depends},
         ${misc:Depends}
Description: viewer for multi-dimensional complex-valued data
 The Berkeley Advanced Reconstruction Toolbox (BART) is a free and
 open-source image-reconstruction framework for Computational Magnetic
 Resonance Imaging.
 .
 This package provides an image viewer as an optional component of
 the BART framework. The viewer is designed for multi-dimensional
 complex-valued data.

=== debian/watch ===
version=4

https://github.com/mrirecon/view/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@

## bart-view 0.2.00

=== Makefile ===


-include Makefile.local

CUDA?=0
CUDA_BASE ?= /usr/local/cuda
CUDA_LIB ?= lib

BUILDTYPE = Linux
UNAME = $(shell uname -s)

ifeq ($(UNAME),Darwin)
    BUILDTYPE = MacOSX
endif


ifeq ($(TOOLBOX_PATH),)
TOOLBOX_INC=/usr/include/bart/
TOOLBOX_LIB=/usr/lib/bart/
else
TOOLBOX_INC=$(TOOLBOX_PATH)/src/
TOOLBOX_LIB=$(TOOLBOX_PATH)/lib/
endif


ifeq ($(origin CC), default)
	CC = gcc
endif

CFLAGS = -Wall -O2


ifeq ($(BUILDTYPE), MacOSX)
	CFLAGS += -std=c11 -Xpreprocessor -fopenmp
else
	CFLAGS += -std=c11 -fopenmp
endif

# clang

ifeq ($(findstring clang, $(CC)), clang)
	CFLAGS += -fblocks
	LDFLAGS += -lBlocksRuntime
endif


ifeq ($(CUDA),1)
    CUDA_L := -L$(CUDA_BASE)/$(CUDA_LIB) -lcufft -lcudart -lcublas
else
    CUDA_L :=
endif


EXPDYN = -rdynamic


ifeq ($(BUILDTYPE), MacOSX)
	LDFLAGS += -L/opt/local/lib -lm -lpng -lomp -lrt
else
	LDFLAGS += -lm -lpng -lrt
endif



all: view cfl2png

src/viewer.inc: src/viewer.ui
	@echo "STRINGIFY(`cat src/viewer.ui`)" > src/viewer.inc

view:	src/main.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(EXPDYN) -o view -I$(TOOLBOX_INC) `pkg-config --cflags gtk+-3.0` src/main.c src/view.c src/draw.c `pkg-config --libs gtk+-3.0` $(TOOLBOX_LIB)/libmisc.a $(TOOLBOX_LIB)/libgeom.a $(TOOLBOX_LIB)/libnum.a $(CUDA_L) $(LDFLAGS)

cfl2png:	src/cfl2png.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(EXPDYN) -o cfl2png -I$(TOOLBOX_INC) src/cfl2png.c src/draw.c $(TOOLBOX_LIB)/libmisc.a  $(TOOLBOX_LIB)/libgeom.a $(TOOLBOX_LIB)/libnum.a $(CUDA_L) $(LDFLAGS)

install:
	install view $(DESTDIR)/usr/lib/bart/commands/


clean:
	rm -f view cfl2png viewer.inc

=== debian/changelog ===
bart-view (0.2.00-1) unstable; urgency=medium

  * New upstream version (Closes: #1022324)
  * Update watch file.

 -- Martin Uecker <uecker@tugraz.at>  Thu, 27 Oct 2022 02:20:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bart-view
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Martin Uecker <martin.uecker@med.uni-goettingen.de>
+Uploaders: Martin Uecker <uecker@tugraz.at>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libbart-dev,
+               libbart-dev (>= 0.8.00),
                libgtk-3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/med-team/bart-view
 Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
 Homepage: https://github.com/mrirecon/view/

## bart-view 0.3.00

=== Makefile ===


-include Makefile.local

CUDA?=0
CUDA_BASE ?= /usr/local/cuda
CUDA_LIB ?= lib
DEBUG?=0
OMP?=1
PKG_CONFIG?=pkg-config

BUILDTYPE = Linux
UNAME = $(shell uname -s)

ifeq ($(UNAME),Darwin)
    BUILDTYPE = MacOSX
endif


ifeq ($(BART_TOOLBOX_PATH),)
TOOLBOX_INC=/usr/include/bart/
TOOLBOX_LIB=/usr/lib/bart/
else
TOOLBOX_INC=$(BART_TOOLBOX_PATH)/src/
TOOLBOX_LIB=$(BART_TOOLBOX_PATH)/lib/
endif


ifeq ($(origin CC), default)
	CC = gcc
endif

CFLAGS ?= -Wall

ifeq ($(DEBUG),1)
	CFLAGS += -Og -g
else
	CFLAGS += -O2
endif

ifeq ($(BUILDTYPE), MacOSX)
	CFLAGS += -std=c11 -Xpreprocessor
else
	CFLAGS += -std=c11
endif

ifeq ($(OMP),1)
	CFLAGS += -fopenmp
else
	CFLAGS += -Wno-unknown-pragmas
endif


# clang

ifeq ($(findstring clang, $(CC)), clang)
	CFLAGS += -fblocks
	LDFLAGS += -lBlocksRuntime
endif


ifeq ($(CUDA),1)
    CUDA_L := -L$(CUDA_BASE)/$(CUDA_LIB) -lcufft -lcudart -lcublas
else
    CUDA_L :=
endif


EXPDYN = -rdynamic


ifeq ($(BUILDTYPE), MacOSX)
	LDFLAGS += -L/opt/local/lib -lm -lpng -lomp -lrt
else
	LDFLAGS += -lm -lpng -lrt
endif



all: view cfl2png

src/viewer.inc: src/viewer.ui
	@echo "STRINGIFY(`cat src/viewer.ui`)" > src/viewer.inc

view:	src/main.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(CPPFLAGS) $(EXPDYN) -o view -I$(TOOLBOX_INC) `$(PKG_CONFIG) --cflags gtk+-3.0` src/main.c src/view.c src/draw.c `$(PKG_CONFIG) --libs gtk+-3.0` $(TOOLBOX_LIB)/libmisc.a $(TOOLBOX_LIB)/libgeom.a $(TOOLBOX_LIB)/libnum.a $(TOOLBOX_LIB)/libmisc.a $(CUDA_L) $(LDFLAGS)

cfl2png:	src/cfl2png.c src/view.[ch] src/draw.[ch] src/viewer.inc
	$(CC) $(CFLAGS) $(CPPFLAGS) $(EXPDYN) -o cfl2png -I$(TOOLBOX_INC) src/cfl2png.c src/draw.c $(TOOLBOX_LIB)/libmisc.a  $(TOOLBOX_LIB)/libgeom.a $(TOOLBOX_LIB)/libnum.a $(TOOLBOX_LIB)/libmisc.a $(CUDA_L) $(LDFLAGS)

install:
	install -D view $(DESTDIR)/usr/lib/bart/commands/view
	install cfl2png $(DESTDIR)/usr/lib/bart/commands/


clean:
	rm -f view cfl2png src/viewer.inc

=== debian/changelog ===
bart-view (0.3.00-1) unstable; urgency=medium

  * New upstream version (Closes: #1058276, 1043926)
  * Remove old patches.

 -- Martin Uecker <uecker@tugraz.at>  Wed, 10 Jan 2024 16:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libbart-dev (>= 0.8.00),
                libgtk-3-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bart-view
 Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
 Homepage: https://github.com/mrirecon/view/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/view-$1\.tar\.gz/ \
  https://github.com/mrirecon/view/tags .*/v?(\d\S*)\.tar\.gz
